### Method

# Ide Diagnostic get_text_for_display

#### Declaration

    gchar*
    ide_diagnostic_get_text_for_display (
      IdeDiagnostic* self
    )

#### Description

This creates a new string that is formatted using the diagnostics line number, column, severity, and message text in the format “line:column: severity: message”.

This can be convenient when wanting to quickly display a diagnostic such as in a tooltip.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| String containing the text formatted for display.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.